<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;
use Carbon\Carbon;

class DepartmentSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $departments = [];

        for ($i = 0; $i < 5000; $i++) {
            $departments[] = [
                'department_id' => Str::uuid()->toString(),
                'department_name' => Str::random(10),
                'head_of_department' => Str::random(10),
                'department_start_date' => Carbon::now()->toDateString(),
                'no_of_students' => rand(1, 100),
            ];
        }

        DB::table('departments')->insert($departments);
    }
}
